# FeedItemContentType Class Reference
[Feed's parsers]

Inheritance diagram for FeedItemContentType:
[legend]

List of all members.

## Public Attributes

const | TEXT = 1
const | HTML = 2
const | XHTML = 3

## Protected Attributes

| $names

## Detailed Description

Definition at line 15 of file FeedItemContentType.class.php.

## Member Data Documentation

FeedItemContentType::$names`[protected]`

Initial value:

     array(
                self::TEXT      => 'text',
                self::HTML      => 'html',
                self::XHTML     => 'xhtml'
            )

Reimplemented from Enumeration.

Definition at line 21 of file FeedItemContentType.class.php.

const FeedItemContentType::HTML = 2

Definition at line 18 of file FeedItemContentType.class.php.

Referenced by AtomItemWorker::makeFeedItemContent().

const FeedItemContentType::TEXT = 1

Definition at line 17 of file FeedItemContentType.class.php.

Referenced by AtomItemWorker::makeFeedItemContent().

const FeedItemContentType::XHTML = 3

Definition at line 19 of file FeedItemContentType.class.php.

Referenced by AtomItemWorker::makeFeedItemContent().

The documentation for this class was generated from the following file:

- main/Markup/Feed/FeedItemContentType.class.php